Tuesday, September 07, 2010

Pydev 1.6.2 released

The latest Pydev version is out.

The Django Templates Editor is the major thing in this release, supporting html files with html, css and javascript.

The current Pydev is now also integrated in Aptana Studio 3, so, a full download where Pydev (with the Django templates editor) is already pre-installed is available at: http://aptana.com/products/studio3/download.

Also noteworthy is that the Python 2.7 grammar is fully supported (and a bunch of bug fixes have been made available).

16 comments:

Anonymous said...

I had an error on installation where the Django Template Editor couldn't find something like "bundle org.aptana.editor-0.0.0".

Googol Lee said...

When I try to install django templates editor, I got the below message:

Cannot complete the install because one or more required items could not be found.
Software being installed: PyDev Django Templates Editor 1.6.2.2010090711 (org.python.pydev.django_templates.feature.feature.group 1.6.2.2010090711)
Missing requirement: Aptana Django Templates Editor 1.6.2.2010090711 (org.python.pydev.django_templates 1.6.2.2010090711) requires 'bundle com.aptana.editor.common 0.0.0' but it could not be found
Cannot satisfy dependency:
From: PyDev Django Templates Editor 1.6.2.2010090711 (org.python.pydev.django_templates.feature.feature.group 1.6.2.2010090711)
To: org.python.pydev.django_templates [1.6.2.2010090711]

I can't find the way to install "com.aptana.editor.common". Is there a way to install it without download whole Aptana IDE?

SpyGalla said...

Is it just me or is 1.6.2 much slower on large files/projects than 1.6.1 was?

Fabio Zadrozny said...

1. Yes, the Django Templates Editor really requires Aptana (as it's an extension of its HTML editor).

2. SpyGalla: it doesn't seem slower, but if it is for you, please report a bug so that we can try to track down what may be slow there.

glezos said...

What an awesome addition. Pure awesomeness.

glezos said...

Is there any chance we'll soon see support for automatic reloading (Django runserver or Debug) when a file is modified? This will greatly increase productivity of so many!

mak said...

I'm confused. I have been using pydev happily for a while.
All I had to do was get the path to the pydev update site, load pydev and all was fine.

It sounds like a good idea to integrate the Django template with Pydev.
But now I am not confident of the install process I should follow. To use Django, I need
to download Django. In the course of tracking down Django, I found:

http://docs.djangoproject.com/en/dev/faq/install/

I use python 3. And the FAQ page above asks:

"Can I use Django with Python 3?"¶

To which the answer is:

"Not at the moment. Python 3.0 introduced a number of backwards-incompatible changes
to the Python language, and although these changes are generally a good thing for
Python’s future, it will be a while before most Python software catches up and
is able to run on Python 3.0. For larger Python-based software like Django,
the transition is expected to take at least a year or two (since it involves
dropping support for older Python releases and so must be done gradually)."

Pydev did support python 3.0. And that's all I need right now.

Perhaps the currently available DJango template editor is a piece of Django
that has bee ported to python 3.0. But I have not seen anything that says that
clearly.

I am guessing scenarios at this point. Does Aptana Studio hide this? Is idea to
make obsolete the need for eclipse?

Anyway What version of aptana studio should I use? I am installing on a 64 bit machine.
traces of documentation suggest aptana studio is beta on 64 bit platforms.

e.g.
"Those who wish to use Aptana Studio on Windows 64-bit, we recommend that they
install into Eclipse 32-bit or use the 32-bit instructions above. "

I don't understand what "install into Eclipse 32-bit" means. Does Eclipse 32 bit run
on a 64 bit machine?

Finally this is all prompted by moving to eclipse helios. Perhaps my question
should be what versions of Django and Aptana studio do I need with eclipse
helios and Python 3.0?

I'd be satisfied for now with a path that would get me just pydev 1.6.1.

-m

Fabio Zadrozny said...

@glezos: Please report a feature request for that.

@mak:

1. Yes, 32 bit installs work on 64 bit platforms.

2. If you're using Django, you should probably be in the latest Python from the 2.x series (not on Python 3.0) -- note that Pydev supports any Python version, the issue here is with Django itself.

3. I think the easier way to get an install that'll enable you to use the Django Templates editor is getting the Aptana standalone version from http://aptana.com/products/studio3/download (which has pydev integrated as well as the Django templates editor).

Japan Shah said...

refactoring for generating new functions from inner function doesn't re-factored perfectly...

Fabio Zadrozny said...

Hi Japan Shah,

Can you create a bug-report with the use-case you have that's failing?

Thanks.

sN3PcxeXes said...

can one have multiple python interpreters configured for PyDev in one eclipse?

Anonymous said...

same issue here, wanting to try django editor, installed pydev and aptana eclipse plugin but django template editor won't install:

Missing requirement: Aptana Django Templates Editor 1.6.2.2010090812 (org.python.pydev.django_templates 1.6.2.2010090812) requires 'bundle com.aptana.editor.common 0.0.0' but it could not be found

packoman said...

Just to let people know. I tried installing Aptana as a Plug-In, because I want to get started with PyDev. I got the error below.
Since I am new to Eclipse and PyDev, I have no idea what to make of it.
Perhaps someone can shed some light on this?!
Here's the error:

An error occurred while installing the items
session context was:(profile=PlatformProfile, phase=org.eclipse.equinox.internal.provisional.p2.engine.phases.Install, operand=null --> [R]org.eclipse.cvs 1.0.400.v201002111343, action=org.eclipse.equinox.internal.p2.touchpoint.eclipse.actions.InstallBundleAction).
The artifact file for osgi.bundle,org.eclipse.cvs,1.0.400.v201002111343 was not found.

Doug said...

Will Django Template Editor be coming to the Eclipse plugin any time soon?

Fabio Zadrozny said...

The django templates plugin will only be available within Aptana (because it depends on its HTML/CSS/JS editors).

Fabio Zadrozny said...

> can one have multiple python interpreters configured for PyDev in one eclipse?

Yes.